---
title: CSSKeywordValue
slug: Web/API/CSSKeywordValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSKeywordValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p><span class="seoSummary">The <strong><code>CSSKeywordValue</code></strong> interface of the <a href="/docs/Web/API/CSS_Typed_Object_Model_API">CSS Typed Object Model API</a> creates an object to represent CSS keywords and other identifiers. </span> The interface instance name is a stringifier meaning that when used anywhere a string is expected it will return the value of <code>CSSKeyword.value</code>.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSKeywordValue.CSSKeywordValue()")}}</dt>
 <dd>Creates a new <code>CSSKeywordValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSKeywordValue.value')}}</dt>
 <dd>Returns or sets the value of the <code>CSSKeywordValue</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from {{domxref('CSSStyleValue')}}.</em></p>

<h2 id="Examples">Examples</h2>

<p>The following example resets the CSS {{cssxref('display')}} property to its defaults, setting the inline <code><a href="/en-US/docs/Web/HTML/Global_attributes/style">style</a></code> attribute to <code>style="display: initial"</code> if viewed in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Select_an_element">developer tools inspector</a>.</p>

<pre class="brush: css hidden">#myElement {
  display: flex;
}</pre>

<pre class="brush: html hidden">&lt;div id="myElement"&gt;Check the developer tools to see the log in the console and to inspect the style attribute on this div.&lt;/div&gt;</pre>

<pre class="brush: js">let myElement = document.getElementById('myElement').attributeStyleMap;
    myElement.set('display', new CSSKeywordValue('initial'));

console.log( myElement.get('display').value);  // 'initial'</pre>

<p>{{EmbedLiveSample("Examples", 120, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#keywordvalue-objects','CSSKeywordValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSKeywordValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref('CSSImageValue')}}</li>
 <li>{{domxref('CSSNumericValue')}}</li>
 <li>{{domxref('CSSPositionValue')}}</li>
 <li>{{domxref('CSSTransformValue')}}</li>
 <li>{{domxref('CSSUnparsedValue')}}</li>
</ul>
